org.apache.commons.math.exception

## Class MathUnsupportedOperationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.UnsupportedOperationException
        - - org.apache.commons.math.exception.MathUnsupportedOperationException

- All Implemented Interfaces:
    Serializable, MathThrowable

      public class MathUnsupportedOperationException
      extends UnsupportedOperationException
      implements MathThrowable

  Base class for all unsupported features. It is used for all the exceptions that share the semantics of the standard `UnsupportedOperationException`, but must also provide a localized message.
  Since:
    2.2
  Version:
    $Revision$ $Date$
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private Object[]` | `arguments` Arguments used to build the message.
    `private static long` | `serialVersionUID` Serializable version Id.
    `private Localizable` | `specific` Pattern used to build the message (specific context).

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MathUnsupportedOperationException(Localizable specific, Object... args)`
    `MathUnsupportedOperationException(Object... args)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object[]` | `getArguments()` Gets the arguments used to build the message of this throwable.
    `Localizable` | `getGeneralPattern()` Gets the localizable pattern used to build the general part of the message of this throwable.
    `String` | `getLocalizedMessage()` Gets the message in the system default locale.
    `String` | `getMessage()` Gets the message in a conventional US locale.
    `String` | `getMessage(Locale locale)` Get the message in a specified locale.
    `Localizable` | `getSpecificPattern()` Gets the localizable pattern used to build the specific part of the message of this throwable.

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      Serializable version Id.
      See Also:
        Constant Field Values

    - #### specific

          private final Localizable specific

      Pattern used to build the message (specific context).

    - #### arguments

          private final Object[] arguments

      Arguments used to build the message.

  - ### Constructor Detail

    - #### MathUnsupportedOperationException

          public MathUnsupportedOperationException(Object... args)

      Parameters:
        `args` - Arguments.

    - #### MathUnsupportedOperationException

          public MathUnsupportedOperationException(Localizable specific,
                                           Object... args)

      Parameters:
        `specific` - Message pattern providing the specific context of the error.
        `args` - Arguments.

  - ### Method Detail

    - #### getSpecificPattern

          public Localizable getSpecificPattern()

      Gets the localizable pattern used to build the specific part of the message of this throwable.
      Specified by:
        `getSpecificPattern` in interface `MathThrowable`
      Returns:
        localizable pattern used to build the specific part of the message of this throwable

    - #### getGeneralPattern

          public Localizable getGeneralPattern()

      Gets the localizable pattern used to build the general part of the message of this throwable.
      Specified by:
        `getGeneralPattern` in interface `MathThrowable`
      Returns:
        localizable pattern used to build the general part of the message of this throwable

    - #### getArguments

          public Object[] getArguments()

      Gets the arguments used to build the message of this throwable.
      Specified by:
        `getArguments` in interface `MathThrowable`
      Returns:
        the arguments used to build the message of this throwable

    - #### getMessage

          public String getMessage(Locale locale)

      Get the message in a specified locale.
      Specified by:
        `getMessage` in interface `MathThrowable`
      Parameters:
        `locale` - Locale in which the message should be translated.
      Returns:
        the localized message.

    - #### getMessage

          public String getMessage()

      Gets the message in a conventional US locale.
      Specified by:
        `getMessage` in interface `MathThrowable`
      Overrides:
        `getMessage` in class `Throwable`
      Returns:
        localized message

    - #### getLocalizedMessage

          public String getLocalizedMessage()

      Gets the message in the system default locale.
      Specified by:
        `getLocalizedMessage` in interface `MathThrowable`
      Overrides:
        `getLocalizedMessage` in class `Throwable`
      Returns:
        localized message

Copyright (c) 2003-2013 Apache Software Foundation